<?php

	require_once 'config.php';
	$base_url = "http://$tstatip/tstat";
	
function tstat_read($base, $suffix) {
	$url = "$base/$suffix";
	$send_curl = curl_init($url);
	curl_setopt($send_curl, CURLOPT_URL, $url);
	curl_setopt($send_curl, CURLOPT_RETURNTRANSFER, TRUE);
	curl_setopt($send_curl, CURLOPT_HTTPHEADER,array('Accept: application/json', "Content-type: application/json")); 
	$json_response = curl_exec($send_curl); 
	// $status = curl_getinfo($send_curl, CURLINFO_HTTP_CODE); 
	curl_close($send_curl);
	$response = json_decode($json_response, true);
	return $response;
}

function tstat_set($url, $parameters) {
	
	$ch = curl_init( $url );
	curl_setopt( $ch, CURLOPT_POST, 1);
	curl_setopt( $ch, CURLOPT_POSTFIELDS, $parameters);
	curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt( $ch, CURLOPT_HEADER, 0);
	curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1);

	curl_exec( $ch );
	// $response = curl_exec( $ch );
	// echo "$response and $parameters";
	
}

$usage = tstat_read($base_url, 'datalog');

$heat = $usage['today']['heat_runtime'];
$cool = $usage['today']['cool_runtime'];

$heat_format = $heat['hour'] + $heat['minute'] / 60;
$cool_format = $cool['hour'] + $cool['minute'] / 60;

$line = date('mdY') . "\t$cool_format\t$heat_format\n";

file_put_contents($log_path, $line, FILE_APPEND | LOCK_EX);

?>